<template lang="pug">
BaseWebApp(:title="TITLE" :version="VERSION" :showThemeSwitcher='true')
  template(v-slot:navbar-content='{ toggleSideBar, showKeyHints }')
    .d-flex.align-items-center.flex-grow-1
      .button.btn.b-clickable(@click="toggleSideBar()" align='left')
        kbd.inverted.keyHintNavBar.mr-2(v-if="showKeyHints") Ctrl+M
        i.fa.fa-bars.fa-lg.text-light
      router-link.navbar-brand(to="/")
        .text-muted.d-none.ml-1.d-xl-inline {{ TITLE }} #[span.text-muted.tiny {{ VERSION }}]
      span.ml-auto.x-connection-status.badge.m-1(:class='[ `badge-${connected ? "success" : "danger" }`, blink ? "x-blink" : "" ]')
        | {{ connected ? "Connected" : "Disconnected" }}
  template(v-slot:sidebar-content)
    .pt-3.px-1
      ActionList(v-for='m in menus' :title='m.name' :key='m.name' :actions='getAllowedActions(m.actions)'
                 @run-action='$refs.dialog.runAction($event, { menu: m.name })')
    .list-group.pt-3
      BaseSideBarItem.x-zone(v-if='!$butils.isEmpty(z)' v-for='z in zones' :key='z.name' :isActive='z.name === selectedZone'
                      @click.native='selectZone(z.name)')
        | {{ z.name }}
      BaseSideBarItem.x-addh-extra(@click.native='goToAddhExtra()' :isActive='isExtraDataSelected')
        | Addh Extra
  template(v-slot:default)
    .h-100
      ActionDialog(ref='dialog')
      router-view(:key='$route.path')
</template>
<script>

export { default } from './App.vue.js';

</script>
<style lang="scss">

@import 'src/app';

.clickable {
  cursor: pointer;
}

.x-blink {
  animation: blinker .5s linear infinite;
}

@keyframes blinker {
  50% { opacity: 0; }
}

</style>
